<?php
if(!function_exists('blaze_edge_map_logo_meta_fields')) {

    function blaze_edge_map_logo_meta_fields() {

		$general_meta_box = blaze_edge_create_meta_box(
		    array(
		        'scope' => array('page', 'portfolio-item', 'post'),
		        'title' => esc_html__('Logo', 'blaze'),
		        'name' => 'logo_meta'
		    )
		);

			blaze_edge_create_meta_box_field(
				array(
					'name' => 'edgtf_logo_image_meta',
					'type' => 'image',
					'label' => esc_html__('Logo Image - Default', 'blaze'),
					'description' => esc_html__('Choose a default logo image to display ', 'blaze'),
					'parent' => $general_meta_box
				)
			);

			blaze_edge_create_meta_box_field(
				array(
					'name' => 'edgtf_logo_image_dark_meta',
					'type' => 'image',
					'label' => esc_html__('Logo Image - Dark', 'blaze'),
					'description' => esc_html__('Choose a default logo image to display ', 'blaze'),
					'parent' => $general_meta_box
				)
			);

			blaze_edge_create_meta_box_field(
				array(
					'name' => 'edgtf_logo_image_light_meta',
					'type' => 'image',
					'label' => esc_html__('Logo Image - Light', 'blaze'),
					'description' => esc_html__('Choose a default logo image to display ', 'blaze'),
					'parent' => $general_meta_box
				)
			);

			blaze_edge_create_meta_box_field(
				array(
					'name' => 'edgtf_logo_image_sticky_meta',
					'type' => 'image',
					'label' => esc_html__('Logo Image - Sticky', 'blaze'),
					'description' => esc_html__('Choose a default logo image to display ', 'blaze'),
					'parent' => $general_meta_box
				)
			);

			blaze_edge_create_meta_box_field(
				array(
					'name' => 'edgtf_logo_image_mobile_meta',
					'type' => 'image',
					'label' => esc_html__('Logo Image - Mobile', 'blaze'),
					'description' => esc_html__('Choose a default logo image to display ', 'blaze'),
					'parent' => $general_meta_box
				)
			);
		}

    add_action('blaze_edge_meta_boxes_map', 'blaze_edge_map_logo_meta_fields');
}